#! /opt/local/bin/python
# -*- coding: utf-8 -*-

# PyNX - Python tools for Nano-structures Crystallography
#   (c) 2023- : ESRF-European Synchrotron Radiation Facility
#       authors:
#         Vincent Favre-Nicolin, favre@esrf.fr

import sys
from pynx.cdi.runner import helptext_generic, CDIRunnerException
from pynx.cdi.runner.simulation import CDIRunnerSimul, CDIRunnerScanSimul, helptext_beamline, params

help_text = helptext_generic + helptext_beamline


def main():
    try:
        w = CDIRunnerSimul(sys.argv, params, CDIRunnerScanSimul)
        w.process_scans()
    except CDIRunnerException as ex:
        print(help_text)
        print('\n\n Caught exception: %s    \n' % (str(ex)))
        sys.exit(1)


if __name__ == '__main__':
    main()
